cURL
curl -X POST "https://api.fitsociety.io/public/v1/conversations/<conversationId>/participants" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: conversation-participants-add-001" \
-H "Content-Type: application/json" \
-d '{
"actorCoachId": "66f7b8b1e13c8d25f4d3d90b",
"participants": [
{ "userId": "66f7b8b1e13c8d25f4d3d90d", "role": "Coach" }
]
}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
actorCoachId: '66f7b8b1e13c8d25f4d3d90b',
participants: [{userId: '66f7b8b1e13c8d25f4d3d90c', role: 'Client'}]
})
};
fetch('https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants"
payload = {
"actorCoachId": "66f7b8b1e13c8d25f4d3d90b",
"participants": [
{
"userId": "66f7b8b1e13c8d25f4d3d90c",
"role": "Client"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"added": [
{
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name",
"isActive": true,
"joinedAt": "2026-07-14T10:00:00.000Z",
"removedAt": "2026-07-14T10:00:00.000Z"
}
],
"participants": [
{
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name",
"isActive": true,
"joinedAt": "2026-07-14T10:00:00.000Z",
"removedAt": "2026-07-14T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Participants
Add conversation participants
Requires conversation_participants:write. Adds or restores participants in a group conversation. The actor coach must match the requesting coach and be an active coach participant.
POST
/
public
/
v1
/
conversations
/
{conversationId}
/
participants
cURL
curl -X POST "https://api.fitsociety.io/public/v1/conversations/<conversationId>/participants" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: conversation-participants-add-001" \
-H "Content-Type: application/json" \
-d '{
"actorCoachId": "66f7b8b1e13c8d25f4d3d90b",
"participants": [
{ "userId": "66f7b8b1e13c8d25f4d3d90d", "role": "Coach" }
]
}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
actorCoachId: '66f7b8b1e13c8d25f4d3d90b',
participants: [{userId: '66f7b8b1e13c8d25f4d3d90c', role: 'Client'}]
})
};
fetch('https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants"
payload = {
"actorCoachId": "66f7b8b1e13c8d25f4d3d90b",
"participants": [
{
"userId": "66f7b8b1e13c8d25f4d3d90c",
"role": "Client"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"added": [
{
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name",
"isActive": true,
"joinedAt": "2026-07-14T10:00:00.000Z",
"removedAt": "2026-07-14T10:00:00.000Z"
}
],
"participants": [
{
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name",
"isActive": true,
"joinedAt": "2026-07-14T10:00:00.000Z",
"removedAt": "2026-07-14T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Body
application/json